> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/vnic/deletenetworkinterfacepermission.md).

# DeleteNetworkInterfacePermission

## 1. API Description

This API (DeleteNetworkInterfacePermission) is used to delete a vNIC permission.

{% hint style="info" %}
**Notes**

* Deleting the permission does not detach the vNIC. If the grantee account has attached the vNIC, `force=true` is required to delete the permission, and the vNIC remains attached. After the permission is deleted, both the grantee account and the account that owns the vNIC can still call [DetachNetworkInterface](https://docs.console.zenlayer.com/api-reference/zec/vnic/detachnetworkinterface.md) to detach it.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                                                                                                                                                                    |
| -------------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| permissionId   | Yes      | String  | <p>ID of the vNIC permission to be deleted.</p><p>It can be obtained by calling <a href="https://docs.console.zenlayer.com/api-reference/zec/vnic/describenetworkinterfacepermissions.md">DescribeNetworkInterfacePermissions</a>.</p>         |
| force          | No       | Boolean | <p>Whether to delete the permission even if the grantee account has attached the vNIC to its instance.</p><p>If <code>false</code>, the deletion is rejected. Deleting the permission does not detach the vNIC.</p><p>Default value: false</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete a vNIC permission.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteNetworkInterfacePermission
<Common Request Params>

Request:
{
  "permissionId": "<permissionId>"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                                                                                                |
| ---------------- | ------------------------------------------- | ---------------------------------------------------------------------------------------------------------- |
| 404              | INVALID\_NIC\_PERMISSION\_NOT\_FOUND        | The vNIC permission does not exist.                                                                        |
| 400              | OPERATION\_DENIED\_NIC\_PERMISSION\_IN\_USE | The grantee account has attached the vNIC to its instance. The permission cannot be deleted without force. |
